Commit 4a7489b1 authored by Joachim Breitner's avatar Joachim Breitner

Use llvm-3.5 on Travis

to avoid a build failure with T5681(optllvm). According to Ben Gamari,
llvm-3.4 is known to be not working with GHC HEAD.
parent 06ba9818
......@@ -12,9 +12,11 @@ env:
before_install:
- travis_retry sudo add-apt-repository -y ppa:hvr/ghc
- travis_retry sudo add-apt-repository -y ppa:h-rayflood/gcc-upper
- travis_retry sudo add-apt-repository -y ppa:h-rayflood/llvm-upper
- travis_retry sudo apt-get update
- travis_retry sudo apt-get install cabal-install-1.18 ghc-7.6.3 alex-3.1.3 happy-1.19.4
- export PATH=/opt/ghc/7.6.3/bin:/opt/cabal/1.18/bin:/opt/alex/3.1.3/bin:/opt/happy/1.19.4/bin:$PATH
- travis_retry sudo apt-get install cabal-install-1.18 ghc-7.6.3 alex-3.1.3 happy-1.19.4 llvm-3.5
- export PATH=/opt/ghc/7.6.3/bin:/opt/cabal/1.18/bin:/opt/alex/3.1.3/bin:/opt/happy/1.19.4/bin:/usr/lib/llvm-3.5/bin:$PATH
- git config --global url."git://github.com/ghc/packages-".insteadOf git://github.com/ghc/packages/
- git config --global url."http://github.com/ghc/packages-".insteadOf http://github.com/ghc/packages/
- git config --global url."https://github.com/ghc/packages-".insteadOf https://github.com/ghc/packages/
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment